# Dolphin Flashcard ## Docs - [Authentication](https://dolphinflashcardapp.mintlify.app/api-reference/authentication.md) - [Create account](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/account/create-account.md): Create a new user account. - [Create flashcard](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/create-flashcard.md): Create or edit a flashcard set for a user. Flashcards contain front, back, review status, and last review date properties. - [Create Folder](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/create-folder.md): Create a folder for the user. - [Get All Cards](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-all-cards.md): Get all the flashcards created by a user. - [Get Flashcard](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-flashcard.md): Retrieve a flashcard set based on the specified name, folder, and user ID. Returns null if the request body contains an invalid flashcard name and/or folder name - [Get Flashcard](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-flashcard-1.md): Retrieve a flashcard set based on the specified name, folder, and user ID. Returns null if the request body contains an invalid flashcard name and/or folder name. - [Get Flashcard Item](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-flashcard-item.md): Get a flashcard item based on the card ID. Flashcard sets store multiple flashcard items, which are the individual flashcards. - [Get Flashcard Item](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-flashcard-item-1.md): Get a flashcard item based on the card ID. Flashcard sets store multiple flashcard items, which are the individual flashcards. - [Get Today Cards](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/get-today-cards.md): Get all the flashcards to be learned today for a user. If a card's review status is `0.0`, it is not started; if it is `0.x`, it is actively studying; if it is >= `1.x`, it is learned. - [Move Flashcard Set](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/card-management/move-flashcard-set.md): Move a flashcard set to a new location. Folder locations, such as `currentLocation` or `moveLocation`, are in the format `myfolder1/myfolder2`. If the card is in the root folder, the folder path should be an empty string `""`. - [Create Card Goal](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/create-card-goal.md): Create a card goal for the user. Card goals have the following properties: `ID`, `type` (XP), `title`, `end date`, `status` (failed, completed, or in progress), `fail date` (if failed), and `data storing` (cards revised so far, starting XP, desired cards to revise). A card goal is similar to an XP g… - [Create XP Goal](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/create-xp-goal.md): Create an experience points (XP) goal for the user. XP goals have an `ID`, `type`, `title`, `end date`, `status` (failed, completed, or in progress), `fail date` (if failed), and `data storing` (start date, starting XP, desired XP) properties. - [Delete Goal](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/delete-goal.md): Delete a user's goal. - [Edit Card Goal](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/edit-card-goal.md): Edit an existing card goal for the user. - [Edit XP Goal](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/edit-xp-goal.md): Edit an existing experience points (XP) goal for the user. - [Update Goal Status](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/goal/update-goal-status.md): Update the status of a goal. The possible values for the status of a goal are `completed`, `in progress`, or `failed`. Returns an empty object when the userID provided is invalid. - [Calculate Streak](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/statistics/calculate-streak.md): Calculate the user's streak, and increase it if necessary. - [Get Heatmap](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/statistics/get-heatmap.md): Retrieve the user's heatmap data. - [Update Heat map](https://dolphinflashcardapp.mintlify.app/api-reference/endpoint/statistics/update-heat-map.md): Updates the user's heatmap data when their streak is modified. - [Overview](https://dolphinflashcardapp.mintlify.app/api-reference/introduction.md) - [How it Works](https://dolphinflashcardapp.mintlify.app/conceptual-docs/howitworks.md) - [Introduction](https://dolphinflashcardapp.mintlify.app/conceptual-docs/introduction.md) - [Quickstart](https://dolphinflashcardapp.mintlify.app/conceptual-docs/quickstart.md) - [Why Dolphin Flashcards?](https://dolphinflashcardapp.mintlify.app/conceptual-docs/whydolphin.md) - [Changelog](https://dolphinflashcardapp.mintlify.app/extras/changelog.md) - [Contributing](https://dolphinflashcardapp.mintlify.app/extras/contributing.md) - [Terminology](https://dolphinflashcardapp.mintlify.app/extras/terminology.md): Descriptions of terms used in this documentation. ## OpenAPI Specs - [openapi](https://dolphinflashcardapp.mintlify.app/api-reference/openapi.yaml) ## Optional - [Join the team on Slack](https://join.slack.com/t/dolphinflashcards/shared_invite/zt-2pfey518m-Zw5D3xQbW94_PZAjDfLSUQ) - [Github](https://github.com/jacob-macleod/Dolphin-Flashcard-App) - [Website](http://dolphinflashcards.com)